site_name: Base de Conhecimento - iT Guys
site_url: https://docs.itguys.com.br
copyright: "© 2026 iT Guys - Todos os direitos reservados"

theme:
  name: material
  logo: assets/logo.png
  favicon: assets/logo.png
  language: pt-BR
  features:
    - navigation.instant
    - navigation.tracking
    - navigation.expand
    - navigation.top
    - search.suggest
    - search.highlight
    - content.code.copy
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: blue-grey
      accent: orange
      toggle:
        icon: material/weather-sunny
        name: Switch to dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: blue-grey
      accent: orange
      toggle:
        icon: material/weather-night
        name: Switch to light mode

hooks:
  - .gemini/hooks.py

plugins:
  - search
  - awesome-pages
  - glightbox
  - git-revision-date-localized:
      type: datetime
      fallback_to_build_date: true
      enable_creation_date: false

extra_css:
  - stylesheets/extra.css
